/*-----------------------ADI AD7478 Driver Reference Design Source Code-----------------------------------

Author: 		Neil Zhao
Date:			2009-07-20
Rev:			1.0
Description:	Realize AD7478 DriverUse ADuC7026 as MCUDevelopment Tool: KEIL C

---------------------------------------------------------------------------------------------------------*/
#include <ADuC7026.h>
#include "AD7478_IO.h"

unsigned	char	buf[4] = {0,0,0,0};

void putchar(unsigned char ch)   /* Write character to Serial Port  */  
{          
	COMTX = ch;				    //COMTX is an 8-bit transmit register.
    while(!(0x020==(COMSTA0 & 0x020)))
    {;}
}

void ADuC7026_Initiate(void)
{
    //Clock Initial
    POWKEY1 = 0x01;				//Start PLL Setting
    POWCON = 0x00;				//Set PLL Active Mode With CD = 0  CPU CLOCK DIVIDER = 41.78MHz
    POWKEY2 = 0xF4;				//Finish PLL Setting

	GP1CON = 0x011;				 //PIN set up for UART

	GP0DAT = GP0DAT & 0xDFFFFFFF; //Configure the P0.5 pin as input for AD7478

	GP4DAT = GP4DAT | 0x18180000; //Configure the P4.3 pin as output for /CS of AD7478
								  //Configure the P4.4 pin as output for SCLK of AD7478

   	//UART InitialBaud Rate = 9600								  
	COMCON0 = 0x080;  
	COMDIV0 = 0x088;    		
	COMDIV1 = 0x000;
	COMCON0 = 0x007; 
}  
int main (void)
{ 
    ADuC7026_Initiate();
	EnablePowerUp();
	ReadFromAD7478(buf);		//Read data from AD7478
	putchar(buf[0]);
	while(1)
	{;}
}



